<?php

namespace CCDN\Helpers\Api\Response\Items;

use CCDN\Helpers\Api\Response\Field\ArrayFieldInterface;
use CCDN\Helpers\Api\Response\Field\IframeUrlFieldInterface;
use CCDN\Helpers\Api\Response\Field\VoicesFieldInterface;

interface EpisodeItemInterface extends ItemInterface
{

    /**
     * @return int
     */
    public function getNumber();

    /**
     * @return IframeUrlFieldInterface
     */
    public function getIframeUrl();

    /**
     * @return string|null
     */
    public function getReleaseRu();

    /**
     * @return string|null
     */
    public function getName();

    /**
     * @return string|null
     */
    public function getReleaseWorld();

    /**
     * @return string|null
     */
    public function getAvailability();

    /**
     * @return VoicesFieldInterface
     */
    public function getVoiceActing();

    /**
     * @return ArrayFieldInterface
     */
    public function getSubtitle();

    /**
     * @return bool
     */
    public function getAds();

}
